Bug 442488 - NM keeps connecting to wireless network when wired network is available, overwrites resolv.conf
NM keeps connecting to wireless network when wired network is available, over...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 23:02 EDT by Mikel Ward
Modified: 2008-04-16 00:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 00:45:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikel Ward 2008-04-14 23:02:55 EDT
I have a wireless and a wired network available.

Since upgrading to F9, my resolv.conf keeps getting overwritten with the DHCP
settings from my wireless network, despite me being constantly connected to a
wired network.

This breaks all my DNS settings.  It seems to happen every hour or so (i.e. at
least a few times a day).
Comment 1 Mikel Ward 2008-04-15 01:18:11 EDT
I'm not entirely sure this is happening.  Please disregard it until I can
provide more proof.
Comment 2 Mikel Ward 2008-04-15 10:01:50 EDT
I had a similar thing happen just now.  I'm only connected to the wireless at
the moment, but I had modified my resolv.conf manually.  Obviously this is
expected behavior with only one network connection, but if it's happening when
two networks are available, it's going to cause problems.

Apr 15 23:55:36 laptop dhclient: DHCPREQUEST on wlan0 to 192.168.1.253 port 67
Apr 15 23:55:36 laptop dhclient: DHCPACK from 192.168.1.253
Apr 15 23:55:36 laptop NetworkManager: <info>  DHCP: device wlan0 state changed
bound -> renew
Apr 15 23:55:36 laptop NetworkManager: <info>    address 192.168.1.199
Apr 15 23:55:36 laptop NetworkManager: <info>    netmask 255.255.255.0
Apr 15 23:55:36 laptop NetworkManager: <info>    broadcast 192.168.1.255
Apr 15 23:55:36 laptop NetworkManager: <info>    gateway 192.168.1.254
Apr 15 23:55:36 laptop NetworkManager: <info>    nameserver '192.168.1.253'
Apr 15 23:55:36 laptop NetworkManager: <info>    nameserver '192.168.1.254'
Apr 15 23:55:36 laptop NetworkManager: <info>    domain name 'endbracket.net'
Apr 15 23:55:36 laptop NetworkManager: <info>    nis domain 'endbracket.net'
Apr 15 23:55:36 laptop dhclient: bound to 192.168.1.199 -- renewal in 851 seconds.
Apr 15 23:55:37 laptop NetworkManager: <info>  Policy set (wlan0) as default
device for routing and DNS.
Comment 3 Dan Williams 2008-04-15 12:24:02 EDT
Is your wired device managed by NetworkManager?  What's the output of
/usr/bin/nm-tool when this happens?
Comment 4 Mikel Ward 2008-04-16 00:45:34 EDT
Logs show it's renewing the lease on both, and the wlan0 update is touching
/etc/resolv.conf, but /etc/resolv.conf is correctly keeping the nameserver
details from eth0.  I assume it concatenates the search domains for both
interfaces or something like that, but retains the nameservers for the highest
priority interface, which seems like the right thing to do.

Sorry for taking up your time.

/var/log/messages
Apr 16 11:55:43 laptop dhclient: DHCPREQUEST on eth0 to 192.168.6.200 port 67
Apr 16 11:55:43 laptop dhclient: DHCPACK from 192.168.6.200
Apr 16 11:55:43 laptop dhclient: bound to 192.168.6.99 -- renewal in 1487 seconds.
Apr 16 11:55:43 laptop NetworkManager: <info>  DHCP: device eth0 state changed
bound -> renew
Apr 16 11:55:43 laptop NetworkManager: <info>    address 192.168.6.99
Apr 16 11:55:43 laptop NetworkManager: <info>    netmask 255.255.255.0
Apr 16 11:55:43 laptop NetworkManager: <info>    broadcast 192.168.6.255
Apr 16 11:55:43 laptop NetworkManager: <info>    gateway 192.168.6.254
Apr 16 11:55:43 laptop NetworkManager: <info>    nameserver '192.168.0.212'
Apr 16 11:55:43 laptop NetworkManager: <info>    nameserver '192.168.5.226'
Apr 16 11:55:43 laptop NetworkManager: <info>    domain name 'aconex.com'
Apr 16 11:55:44 laptop NetworkManager: <info>  Policy set (eth0) as default
device for routing and DNS.
Apr 16 12:20:30 laptop dhclient: DHCPREQUEST on eth0 to 192.168.6.200 port 67
Apr 16 12:20:30 laptop dhclient: DHCPACK from 192.168.6.200
Apr 16 12:20:30 laptop dhclient: bound to 192.168.6.99 -- renewal in 1715 seconds.
Apr 16 12:49:05 laptop dhclient: DHCPREQUEST on eth0 to 192.168.6.200 port 67
Apr 16 12:49:05 laptop dhclient: DHCPACK from 192.168.6.200
Apr 16 12:49:05 laptop dhclient: bound to 192.168.6.99 -- renewal in 1414 seconds.
Apr 16 13:12:39 laptop dhclient: DHCPREQUEST on eth0 to 192.168.6.200 port 67
Apr 16 13:12:39 laptop dhclient: DHCPACK from 192.168.6.200
Apr 16 13:12:39 laptop dhclient: bound to 192.168.6.99 -- renewal in 1496 seconds.
Apr 16 13:17:07 laptop yum: Installed: 2:postfix-2.5.1-2.fc9.i386
Apr 16 13:37:35 laptop dhclient: DHCPREQUEST on eth0 to 192.168.6.200 port 67
Apr 16 13:37:35 laptop dhclient: DHCPACK from 192.168.6.200
Apr 16 13:37:35 laptop dhclient: bound to 192.168.6.99 -- renewal in 1720 seconds.
Apr 16 14:03:50 laptop dhclient: DHCPREQUEST on wlan0 to 192.168.1.200 port 67
Apr 16 14:03:50 laptop dhclient: DHCPACK from 192.168.1.200
Apr 16 14:03:50 laptop NetworkManager: <info>  DHCP: device wlan0 state changed
bound -> renew
Apr 16 14:03:50 laptop NetworkManager: <info>    address 192.168.1.123
Apr 16 14:03:50 laptop NetworkManager: <info>    netmask 255.255.255.0
Apr 16 14:03:50 laptop NetworkManager: <info>    broadcast 192.168.1.255
Apr 16 14:03:50 laptop NetworkManager: <info>    gateway 192.168.1.254
Apr 16 14:03:50 laptop NetworkManager: <info>    nameserver '203.89.226.24'
Apr 16 14:03:50 laptop NetworkManager: <info>    domain name 'aconex.com'
Apr 16 14:03:50 laptop NetworkManager: <info>    nis domain 'aconex.com'

/etc/resolv.conf
# generated by NetworkManager, do not edit!

domain aconex.com

search aconex.com

nameserver 192.168.0.212
nameserver 192.168.5.226


Note You need to log in before you can comment on or make changes to this bug.